EC2onRailsのAMIイメージはUbuntuのパッケージRubyが入っていますが、 これを最新のruby-1.8.7 p17に置き換える手順のメモです。

  1. 入っているRubygemsを全てアンインストール
  2. rubyをpurge。その結果、
       1  bash: /usr/local/ec2onrails/bin/rails_env: /usr/bin/ruby: bad interpreter: No such file or directory
    
    というエラーが出るようになるが、とりあえず無視。 ruby irb irb1.8 rdoc rdoc1.8 ri ri1.8 ruby1.8-dev このあたりのパッケージを全部削除する。
  3. /usr/local/ec2onrails/bin/rails_env のshbangを/usr/local/bin/ruby に書き換える。
  4. ruby-1.8.7 p17 をソースから入れる
  5. rubygemsをインストール
  6. 必要なGemをインストール

大体こんな感じですね。

posted by Png genki on Thu 12 Jun 2008 at 21:38
Contents
EC2onRailsでRubyをソースから入れなおす手順のメモ
Comments
dsjf: https://gist.github.com/6bf1bf2c3cbb5eb6e7a7 これ... '13-1
瀧内元気: おお、チェックしてみます。thx! '11-12
overisland: Reeder for iPhone もこの UI を実装していますね。 '11-12
瀧内元気: その情報は見たのですが、以下のサイトによると、現在はまた必要になってるっぽいんですよね。 ... '11-12
tkawa: http://devcenter.heroku.com/articles/rails31_he... '11-12
Services from s21g
twpro(ツイプロ)
Twitterプロフィールを快適検索
地価2009
土地の値段を調べてみよう
MyRestaurant
自分だけのレストラン手帳
Formula
ブログに数式を埋め込める数式コミュニティ